# Interface AntBuilderAware

All Known Subinterfaces:
  `ConfigurableFileCollection, ConfigurableFileTree, Configuration, FileCollection, FileTree, SourceDirectorySet, SourceSetOutput`

All Known Implementing Classes:
  `PatternSet`

public interface AntBuilderAware
An `AntBuilderAware` represents an object which can add itself to Ant tasks, using an `AntBuilder`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`addToAntBuilder(Object node, String childNodeName)`

## Method Details

### addToAntBuilder

Object addToAntBuilder(Object node, String childNodeName)